# GBSAOBCForce Class Reference

This class implements an implicit solvation force using the GBSA-OBC model. More...

Inheritance diagram for GBSAOBCForce:

List of all members.

## Public Member Functions
def | getNumParticles
| getNumParticles(GBSAOBCForce self) -> int
def | addParticle
| addParticle(GBSAOBCForce self, double charge, double radius, double scalingFactor) -> int
def | getParticleParameters
| getParticleParameters(GBSAOBCForce self, int index)
def | setParticleParameters
| setParticleParameters(GBSAOBCForce self, int index, double charge, double radius, double scalingFactor)
def | getSolventDielectric
| getSolventDielectric(GBSAOBCForce self) -> double
def | setSolventDielectric
| setSolventDielectric(GBSAOBCForce self, double dielectric)
def | getSoluteDielectric
| getSoluteDielectric(GBSAOBCForce self) -> double
def | setSoluteDielectric
| setSoluteDielectric(GBSAOBCForce self, double dielectric)
def | getSurfaceAreaEnergy
| getSurfaceAreaEnergy(GBSAOBCForce self) -> double
def | setSurfaceAreaEnergy
| setSurfaceAreaEnergy(GBSAOBCForce self, double energy)
def | getNonbondedMethod
| getNonbondedMethod(GBSAOBCForce self) -> OpenMM.GBSAOBCForce.NonbondedMethod
def | setNonbondedMethod
| setNonbondedMethod(GBSAOBCForce self, OpenMM.GBSAOBCForce.NonbondedMethod method)
def | getCutoffDistance
| getCutoffDistance(GBSAOBCForce self) -> double
def | setCutoffDistance
| setCutoffDistance(GBSAOBCForce self, double distance)
def | updateParametersInContext
| updateParametersInContext(GBSAOBCForce self, Context context)
def | __init__
| __init__(OpenMM.GBSAOBCForce self) -> GBSAOBCForce __init__(OpenMM.GBSAOBCForce self, GBSAOBCForce other) -> GBSAOBCForce
def | __del__
| __del__(OpenMM.GBSAOBCForce self)
## Public Attributes
| this
## Static Public Attributes
| NoCutoff = _openmm.GBSAOBCForce_NoCutoff
| CutoffNonPeriodic = _openmm.GBSAOBCForce_CutoffNonPeriodic
| CutoffPeriodic = _openmm.GBSAOBCForce_CutoffPeriodic

## Detailed Description

This class implements an implicit solvation force using the GBSA-OBC model.

To use this class, create a GBSAOBCForce object, then call addParticle() once for each particle in the System to define its parameters. The number of particles for which you define GBSA parameters must be exactly equal to the number of particles in the System, or else an exception will be thrown when you try to create a Context. After a particle has been added, you can modify its force field parameters by calling setParticleParameters(). This will have no effect on Contexts that already exist unless you call updateParametersInContext().

When using this Force, the System should also include a NonbondedForce, and both objects must specify identical charges for all particles. Otherwise, the results will not be correct. Furthermore, if the nonbonded method is set to CutoffNonPeriodic or CutoffPeriodic, you should call setReactionFieldDielectric(1.0) on the NonbondedForce to turn off the reaction field approximation, which does not produce correct results when combined with GBSA.

## Member Function Documentation

def __del__ | ( |  | self | ) |

__del__(OpenMM.GBSAOBCForce self)

Reimplemented from Force.

def __init__ | ( |  | self,
|  |  | args |
| ) |  |  |

__init__(OpenMM.GBSAOBCForce self) -> GBSAOBCForce __init__(OpenMM.GBSAOBCForce self, GBSAOBCForce other) -> GBSAOBCForce

Create a GBSAOBCForce.

def addParticle | ( |  | self,
|  |  | args |
| ) |  |  |

addParticle(GBSAOBCForce self, double charge, double radius, double scalingFactor) -> int

Add the GBSA parameters for a particle. This should be called once for each particle in the System. When it is called for the i'th time, it specifies the parameters for the i'th particle.

Parameters:

  | charge | the charge of the particle, measured in units of the proton charge
  | radius | the GBSA radius of the particle, measured in nm
  | scalingFactor | the OBC scaling factor for the particle

def getCutoffDistance | ( |  | self | ) |

getCutoffDistance(GBSAOBCForce self) -> double

Get the cutoff distance (in nm) being used for nonbonded interactions. If the NonbondedMethod in use is NoCutoff, this value will have no effect.

def getNonbondedMethod | ( |  | self | ) |

getNonbondedMethod(GBSAOBCForce self) -> OpenMM.GBSAOBCForce.NonbondedMethod

Get the method used for handling long range nonbonded interactions.

def getNumParticles | ( |  | self | ) |

getNumParticles(GBSAOBCForce self) -> int

Get the number of particles in the system.

def getParticleParameters | ( |  | self,
|  |  | args |
| ) |  |  |

getParticleParameters(GBSAOBCForce self, int index)

Get the force field parameters for a particle.

Parameters:

  | index | the index of the particle for which to get parameters
  | charge | the charge of the particle, measured in units of the proton charge
  | radius | the GBSA radius of the particle, measured in nm
  | scalingFactor | the OBC scaling factor for the particle

def getSoluteDielectric | ( |  | self | ) |

getSoluteDielectric(GBSAOBCForce self) -> double

Get the dielectric constant for the solute.

def getSolventDielectric | ( |  | self | ) |

getSolventDielectric(GBSAOBCForce self) -> double

Get the dielectric constant for the solvent.

def getSurfaceAreaEnergy | ( |  | self | ) |

getSurfaceAreaEnergy(GBSAOBCForce self) -> double

Get the energy scale for the surface energy term, measured in kJ/mol/nm^2.

def setCutoffDistance | ( |  | self,
|  |  | args |
| ) |  |  |

setCutoffDistance(GBSAOBCForce self, double distance)

Set the cutoff distance (in nm) being used for nonbonded interactions. If the NonbondedMethod in use is NoCutoff, this value will have no effect.

Parameters:

  | distance | the cutoff distance, measured in nm

def setNonbondedMethod | ( |  | self,
|  |  | args |
| ) |  |  |

setNonbondedMethod(GBSAOBCForce self, OpenMM.GBSAOBCForce.NonbondedMethod method)

Set the method used for handling long range nonbonded interactions.

def setParticleParameters | ( |  | self,
|  |  | args |
| ) |  |  |

setParticleParameters(GBSAOBCForce self, int index, double charge, double radius, double scalingFactor)

Set the force field parameters for a particle.

Parameters:

  | index | the index of the particle for which to set parameters
  | charge | the charge of the particle, measured in units of the proton charge
  | radius | the GBSA radius of the particle, measured in nm
  | scalingFactor | the OBC scaling factor for the particle

def setSoluteDielectric | ( |  | self,
|  |  | args |
| ) |  |  |

setSoluteDielectric(GBSAOBCForce self, double dielectric)

Set the dielectric constant for the solute.

def setSolventDielectric | ( |  | self,
|  |  | args |
| ) |  |  |

setSolventDielectric(GBSAOBCForce self, double dielectric)

Set the dielectric constant for the solvent.

def setSurfaceAreaEnergy | ( |  | self,
|  |  | args |
| ) |  |  |

setSurfaceAreaEnergy(GBSAOBCForce self, double energy)

Set the energy scale for the surface energy term, measured in kJ/mol/nm^2.

def updateParametersInContext | ( |  | self,
|  |  | args |
| ) |  |  |

updateParametersInContext(GBSAOBCForce self, Context context)

Update the particle parameters in a Context to match those stored in this Force object. This method provides an efficient method to update certain parameters in an existing Context without needing to reinitialize it. Simply call setParticleParameters() to modify this object's parameters, then call updateParametersInState() to copy them over to the Context.

The only information this method updates is the values of per-particle parameters. All other aspects of the Force (the nonbonded method, the cutoff distance, etc.) are unaffected and can only be changed by reinitializing the Context. Furthermore, this method cannot be used to add new particles, only to change the parameters of existing ones.

## Member Data Documentation

CutoffNonPeriodic = _openmm.GBSAOBCForce_CutoffNonPeriodic`[static]`

CutoffPeriodic = _openmm.GBSAOBCForce_CutoffPeriodic`[static]`

NoCutoff = _openmm.GBSAOBCForce_NoCutoff`[static]`

this

The documentation for this class was generated from the following file:

- openmm.py